Subject: bug#47768: closed (Re: [bug#47768] [PATCH v3 00/42] Assorted OCaml patches)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Jun 2021 15:44:02 +0000

Your bug report

#47768: [PATCH 00/37] Assorted OCaml patches

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47768: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47768
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47768] [PATCH v3 00/42] Assorted OCaml patches
From: Julien Lepiller <[email-masked]>
To: Xinglu Chen <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 13 Jun 2021 17:43:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sun, 6 Jun 2021 17:19:23 +0200,
Julien Lepiller <[email-masked]> a écrit :

> Le Sun, 06 Jun 2021 14:53:53 +0200,
> Xinglu Chen <[email-masked]> a écrit :
> 
> > On Tue, Jun 01 2021, Julien Lepiller wrote:
> >   
> > > I keep telling myself I should review and merge the changes but I
> > > keep having better things to do :p. I'll have a look during the
> > > week-end if noone beats me at it :)    
> > 
> > Friendly ping!  :)
> >   
> 
> Alright, I managed to review and push the first 20 patches, as
> b477a9f42e52cf07e05add0632bc01e9d268dd55 to
> 52dc188e12fe80dfe13ba04f995081beedde6358. I'll try to take some more
> time later to push the rest. Not sure I can do that today though.
> 
> 
> 

And I just pushed the rest of this series from
77b3588debb63062d3112010908c5e8c501301c3 to
d9e14697fd967770ce30fb54ce127ec521fc43f7.

I took the liberty to rename ocaml-js-of-ocaml to simply js-of-ocaml,
since it's the name of the tool.

Thank you all who participated!

Subject: [PATCH 00/37] Assorted OCaml patches
From: pukkamustard <[email-masked]>
To: [email-masked]
Cc: pukkamustard <[email-masked]>
Date: Wed, 14 Apr 2021 11:08:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I have been collecting some patches to the OCaml packaging in Guix. It has got
a bit long, sorry for that.

The main theme of this series is to provide basic OCaml packages in Guix that
also work with more recent version of OCaml. Currently most OCaml packages in
Guix are only for OCaml 4.07.

Most patches are of following form:

- Add new ocaml-X package with latest upstream verison of X
- Make existing ocaml4.07-X package inherit from new ocaml-X

Some packages are newly added because I am using them (ocaml-uunf and
ocaml-angstrom) or because they are dependencies of newer version of packages
already in Guix (e.g. ocaml-time-now).

There are still quite a few packages in Guix that are only available for OCaml
4.07 (ocaml4.07-X but no ocaml-X). Eventually adding them would be nice for
OCaml hackers working with recent version of the compiler.  As I understand we
want to keep the ocaml4.07-* packages for bootstrapping purposes.

Thanks,
pukkamustard

pukkamustard (37):
  gnu: ocaml-integers: Update to 0.4.0.
  gnu: ocaml-ctypes: Update to 0.18.0.
  gnu: ocaml-ctypes: Make ocaml-integers a propagated input.
  gnu: ocaml-lwt: Make libev a propagated input.
  gnu: ocaml-lwt: Update to 5.4.0.
  gnu: ocaml4.07-gen: Update to 0.5.3.
  gnu: Add ocaml-gen.
  gnu: Add ocaml-stdio.
  gnu: Add ocaml-compiler-libs.
  gnu: ocaml-migrate-parsetree: Update to 1.8.0.
  gnu: ocaml-migrate-parsetree: Update to 2.1.0.
  gnu: Add ocaml-ppxlib.
  gnu: Add ocaml-sedlex.
  gnu: Add ocaml-uunf.
  gnu: Add ocaml-ppx-sexp-conv.
  gnu: Add ocaml-bigstringaf.
  gnu: Add ocaml-ppx-let.
  gnu: Add ocaml-syntax-shims.
  gnu: Add ocaml-ppx-compare.
  gnu: Add ocaml-ppx-here.
  gnu: Add ocaml-ppx-cold.
  gnu: Add ocaml-ppx-assert.
  gnu: Add ocaml-ppx-custom-printf.
  gnu: Add ocaml-ppx-hash.
  gnu: Add ocaml-ppx-enumerate.
  gnu: Add ocaml-ppx-js-style.
  gnu: Add ocaml-ppx-base.
  gnu: Add ocaml-fieldslib.
  gnu: Add ocaml-ppx-fields-conv.
  gnu: Add ocaml-ppx-optcomp
  gnu: Add ocaml-ppx-optional.
  gnu: Add ocaml-jst-config.
  gnu: Add ocaml-jane-street-headers.
  gnu: Add ocaml-time-now.
  gnu: Add ocaml-ppx-inline-test.
  gnu: Add ocaml-angstrom.
  gnu: Add ocaml-uri.

 gnu/packages/ocaml.scm | 1476 ++++++++++++++++++++++++++--------------
 1 file changed, 949 insertions(+), 527 deletions(-)

-- 
2.31.1